[SOLVED] Error with Android Package Building

Discuss how to use the Ren'Py engine to create visual novels and story-based games. New releases are announced in this section.
Forum rules
This is the right place for Ren'Py help. Please ask one question per thread, use a descriptive subject like 'NotFound error in option.rpy' , and include all the relevant information - especially any relevant code and traceback messages. Use the code tag to format scripts.
Post Reply
Message
Author
Tarentaal
Newbie
Posts: 6
Joined: Wed Apr 08, 2015 12:26 pm
Contact:

[SOLVED] Error with Android Package Building

#1 Post by Tarentaal » Wed Apr 08, 2015 12:35 pm

Hi,

I started using Ren'Py just a while back, and I'm trying to build an Android Package. It fails every time. After a bit of head scratching I tried to compile the Tutorial Game supplied with Ren'Py and it worked, but then failed on my phone while I was testing it (I will post about this on another thread). Please help me I've tried everything!

The contents of the Android.txt follows.

Code: Select all

Updating source code.

Updating build files.
Resolved location of library project to: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_apk_expansion\downloader_library
Updated and renamed default.properties to project.properties
Updated local.properties
Added file C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\build.xml
Updated file C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\proguard-project.txt
It seems that there are sub-projects. If you want to update them
please use the --subprojects parameter.




Creating assets directory.

Packaging internal data.

I'm using Ant to build the package.
Buildfile: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\build.xml
  [taskdef] Could not load definitions from resource emma_ant.properties. It could not be found.

-set-mode-check:

-set-release-mode:

-release-obfuscation-check:
     [echo] proguard.config is ${proguard.config}

-pre-build:

-check-env:
 [checkenv] Android SDK Tools Revision 23.0.0
 [checkenv] Installed at C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23

-setup:
     [echo] Project Name: Try-1.0
  [gettype] Project Type: Application

-build-setup:
[getbuildtools] Using latest Build Tools: 20.0.0
     [echo] Resolving Build Target for Try-1.0...
[gettarget] Project Target:   Android 4.4.2
[gettarget] API level:        19
     [echo] ----------
     [echo] Creating output directories if needed...
     [echo] ----------
     [echo] Resolving Dependencies for Try-1.0...
[dependency] Library dependencies:
[dependency] 
[dependency] ------------------
[dependency] Ordered libraries:
[dependency] 
[dependency] ------------------
     [echo] ----------
     [echo] Building Libraries with 'release'...
  [taskdef] Could not load definitions from resource emma_ant.properties. It could not be found.

nodeps:

-set-mode-check:

-set-release-mode:

-release-obfuscation-check:
     [echo] proguard.config is ${proguard.config}

-pre-build:

-check-env:
 [checkenv] Android SDK Tools Revision 23.0.0
 [checkenv] Installed at C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23

-setup:
     [echo] Project Name: library
  [gettype] Project Type: Android Library

-build-setup:
[getbuildtools] Using latest Build Tools: 20.0.0
     [echo] Resolving Build Target for library...
[gettarget] Project Target:   Android 4.4.2
[gettarget] API level:        19
     [echo] ----------
     [echo] Creating output directories if needed...
     [echo] ----------
     [echo] Resolving Dependencies for library...
[dependency] Library dependencies:
[dependency] No Libraries
[dependency] 
[dependency] ------------------

-code-gen:
[mergemanifest] Found Deleted Target File
[mergemanifest] Merging AndroidManifest files into one.
[mergemanifest] Manifest merger disabled. Using project manifest only.
     [echo] Handling aidl files...
     [aidl] No AIDL files to compile.
     [echo] ----------
     [echo] Handling RenderScript files...
     [echo] ----------
     [echo] Handling Resources...
     [aapt] Found new input file
     [aapt] Generating resource IDs...
     [echo] ----------
     [echo] Handling BuildConfig class...
[buildconfig] No need to generate new BuildConfig.

-pre-compile:

-compile:
     [echo] Creating library output jar file...

-post-compile:

-obfuscate:

-dex:
     [echo] Library project: do not convert bytecode...

-crunch:
   [crunch] Crunching PNG Files in source dir: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_licensing\library\res
   [crunch] To destination dir: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_licensing\library\bin\res
   [crunch] Crunched 0 PNG files to update cache

-package-resources:
     [echo] Library project: do not package resources...

-package:
     [echo] Library project: do not package apk...

-post-package:

-release-prompt-for-password:

-release-nosign:
     [echo] 
[propertyfile] Updating property file: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_licensing\library\bin\build.prop
[propertyfile] Updating property file: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_licensing\library\bin\build.prop
[propertyfile] Updating property file: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_licensing\library\bin\build.prop
[propertyfile] Updating property file: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_licensing\library\bin\build.prop

-release-sign:

-post-build:

release:
  [taskdef] Could not load definitions from resource emma_ant.properties. It could not be found.

nodeps:

-set-mode-check:

-set-release-mode:

-release-obfuscation-check:
     [echo] proguard.config is ${proguard.config}

-pre-build:

-check-env:
 [checkenv] Android SDK Tools Revision 23.0.0
 [checkenv] Installed at C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23

-setup:
     [echo] Project Name: downloader_library
  [gettype] Project Type: Android Library

-build-setup:
[getbuildtools] Using latest Build Tools: 20.0.0
     [echo] Resolving Build Target for downloader_library...
[gettarget] Project Target:   Android 4.4.2
[gettarget] API level:        19
     [echo] ----------
     [echo] Creating output directories if needed...
     [echo] ----------
     [echo] Resolving Dependencies for downloader_library...
[dependency] Library dependencies:
[dependency] 
[dependency] ------------------
[dependency] Ordered libraries:
[dependency] 
[dependency] ------------------

-code-gen:
[mergemanifest] Found Deleted Target File
[mergemanifest] Merging AndroidManifest files into one.
[mergemanifest] Manifest merger disabled. Using project manifest only.
     [echo] Handling aidl files...
     [aidl] No AIDL files to compile.
     [echo] ----------
     [echo] Handling RenderScript files...
     [echo] ----------
     [echo] Handling Resources...
     [aapt] Found Deleted Target File
     [aapt] Generating resource IDs...
     [echo] ----------
     [echo] Handling BuildConfig class...
[buildconfig] No need to generate new BuildConfig.

-pre-compile:

-compile:
    [javac] Compiling 1 source file to C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_apk_expansion\downloader_library\bin\classes
    [javac] warning: [options] source value 1.5 is obsolete and will be removed in a future release
    [javac] warning: [options] target value 1.5 is obsolete and will be removed in a future release
    [javac] warning: [options] To suppress warnings about obsolete options, use -Xlint:-options.
    [javac] 3 warnings
     [echo] Creating library output jar file...

-post-compile:

-obfuscate:

-dex:
     [echo] Library project: do not convert bytecode...

-crunch:
   [crunch] Crunching PNG Files in source dir: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_apk_expansion\downloader_library\res
   [crunch] To destination dir: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_apk_expansion\downloader_library\bin\res
   [crunch] Crunched 0 PNG files to update cache

-package-resources:
     [echo] Library project: do not package resources...

-package:
     [echo] Library project: do not package apk...

-post-package:

-release-prompt-for-password:

-release-nosign:
     [echo] 
[propertyfile] Updating property file: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_apk_expansion\downloader_library\bin\build.prop
[propertyfile] Updating property file: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_apk_expansion\downloader_library\bin\build.prop
[propertyfile] Updating property file: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_apk_expansion\downloader_library\bin\build.prop
[propertyfile] Updating property file: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_apk_expansion\downloader_library\bin\build.prop

-release-sign:

-post-build:

release:

-code-gen:
[mergemanifest] Found Deleted Target File
[mergemanifest] Merging AndroidManifest files into one.
[mergemanifest] Manifest merger disabled. Using project manifest only.
     [echo] Handling aidl files...
     [aidl] Found 1 AIDL files.
     [aidl] Compiling 1 AIDL files.
     [echo] ----------
     [echo] Handling RenderScript files...
     [echo] ----------
     [echo] Handling Resources...
     [aapt] Found Deleted Target File
     [aapt] Generating resource IDs...
     [echo] ----------
     [echo] Handling BuildConfig class...
[buildconfig] No need to generate new BuildConfig.

-pre-compile:

-compile:
    [javac] Compiling 33 source files to C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\bin\classes
    [javac] warning: [options] source value 1.5 is obsolete and will be removed in a future release
    [javac] warning: [options] target value 1.5 is obsolete and will be removed in a future release
    [javac] warning: [options] To suppress warnings about obsolete options, use -Xlint:-options.
    [javac] C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\src\org\renpy\android\DownloaderActivity.java:28: error: <identifier> expected
    [javac] import com.jim.try.R;
    [javac]                   ^
    [javac] C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\src\org\renpy\android\DownloaderActivity.java:28: error: class, interface, or enum expected
    [javac] import com.jim.try.R;
    [javac]                      ^
    [javac] C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\src\org\renpy\android\DownloaderActivity.java:28: error: class, interface, or enum expected
    [javac] import com.jim.try.R;
    [javac]                       ^
    [javac] C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\gen\com\jim\try\BuildConfig.java:2: error: <identifier> expected
    [javac] package com.jim.try;
    [javac]                    ^
    [javac] C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\gen\com\jim\try\R.java:8: error: <identifier> expected
    [javac] package com.jim.try;
    [javac]                    ^
    [javac] C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\gen\com\try\BuildConfig.java:2: error: <identifier> expected
    [javac] package com.try;
    [javac]             ^
    [javac] C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\gen\com\try\R.java:8: error: <identifier> expected
    [javac] package com.try;
    [javac]             ^
    [javac] 7 errors
    [javac] 3 warnings

BUILD FAILED
C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\tools\ant\build.xml:720: The following error occurred while executing this line:
C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\tools\ant\build.xml:734: Compile failed; see the compiler error output for details.

Total time: 1 second




The build seems to have failed.
Last edited by Tarentaal on Thu Apr 09, 2015 7:12 am, edited 1 time in total.

User avatar
AxemRed
Veteran
Posts: 482
Joined: Sun Jan 09, 2011 7:10 am
Contact:

Re: Error with Android Package Building

#2 Post by AxemRed » Wed Apr 08, 2015 2:13 pm

"com.try" isn't a valid package name (try is a keyword in Java).

http://developer.android.com/guide/topi ... ml#package

Tarentaal
Newbie
Posts: 6
Joined: Wed Apr 08, 2015 12:26 pm
Contact:

Re: Error with Android Package Building

#3 Post by Tarentaal » Thu Apr 09, 2015 6:42 am

Thanks for the quick reply, AxemRed!

Well I've tried renaming the project and I have tried using other projects to see if they work. But they don't unfortunately :(

I have no idea what is wrong. I'm sorry if I'm being stupid :oops: but I'll post my android.txt contents again. This time I tried to build a package for a random small game just for testing. Its name is BlaBla.

Code: Select all

Updating source code.

Updating build files.
Resolved location of library project to: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_apk_expansion\downloader_library
Updated and renamed default.properties to project.properties
Updated local.properties
Added file C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\build.xml
Updated file C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\proguard-project.txt
It seems that there are sub-projects. If you want to update them
please use the --subprojects parameter.




Creating assets directory.

Packaging internal data.

I'm using Ant to build the package.
Buildfile: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\build.xml
  [taskdef] Could not load definitions from resource emma_ant.properties. It could not be found.

-set-mode-check:

-set-release-mode:

-release-obfuscation-check:
     [echo] proguard.config is ${proguard.config}

-pre-build:

-check-env:
 [checkenv] Android SDK Tools Revision 23.0.0
 [checkenv] Installed at C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23

-setup:
     [echo] Project Name: BlaBla-1.0
  [gettype] Project Type: Application

-build-setup:
[getbuildtools] Using latest Build Tools: 20.0.0
     [echo] Resolving Build Target for BlaBla-1.0...
[gettarget] Project Target:   Android 4.4.2
[gettarget] API level:        19
     [echo] ----------
     [echo] Creating output directories if needed...
     [echo] ----------
     [echo] Resolving Dependencies for BlaBla-1.0...
[dependency] Library dependencies:
[dependency] 
[dependency] ------------------
[dependency] Ordered libraries:
[dependency] 
[dependency] ------------------
     [echo] ----------
     [echo] Building Libraries with 'release'...
  [taskdef] Could not load definitions from resource emma_ant.properties. It could not be found.

nodeps:

-set-mode-check:

-set-release-mode:

-release-obfuscation-check:
     [echo] proguard.config is ${proguard.config}

-pre-build:

-check-env:
 [checkenv] Android SDK Tools Revision 23.0.0
 [checkenv] Installed at C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23

-setup:
     [echo] Project Name: library
  [gettype] Project Type: Android Library

-build-setup:
[getbuildtools] Using latest Build Tools: 20.0.0
     [echo] Resolving Build Target for library...
[gettarget] Project Target:   Android 4.4.2
[gettarget] API level:        19
     [echo] ----------
     [echo] Creating output directories if needed...
     [echo] ----------
     [echo] Resolving Dependencies for library...
[dependency] Library dependencies:
[dependency] No Libraries
[dependency] 
[dependency] ------------------

-code-gen:
[mergemanifest] Found Deleted Target File
[mergemanifest] Merging AndroidManifest files into one.
[mergemanifest] Manifest merger disabled. Using project manifest only.
     [echo] Handling aidl files...
     [aidl] No AIDL files to compile.
     [echo] ----------
     [echo] Handling RenderScript files...
     [echo] ----------
     [echo] Handling Resources...
     [aapt] Found new input file
     [aapt] Generating resource IDs...
     [echo] ----------
     [echo] Handling BuildConfig class...
[buildconfig] No need to generate new BuildConfig.

-pre-compile:

-compile:
     [echo] Creating library output jar file...

-post-compile:

-obfuscate:

-dex:
     [echo] Library project: do not convert bytecode...

-crunch:
   [crunch] Crunching PNG Files in source dir: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_licensing\library\res
   [crunch] To destination dir: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_licensing\library\bin\res
   [crunch] Crunched 0 PNG files to update cache

-package-resources:
     [echo] Library project: do not package resources...

-package:
     [echo] Library project: do not package apk...

-post-package:

-release-prompt-for-password:

-release-nosign:
     [echo] 
[propertyfile] Updating property file: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_licensing\library\bin\build.prop
[propertyfile] Updating property file: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_licensing\library\bin\build.prop
[propertyfile] Updating property file: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_licensing\library\bin\build.prop
[propertyfile] Updating property file: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_licensing\library\bin\build.prop

-release-sign:

-post-build:

release:
  [taskdef] Could not load definitions from resource emma_ant.properties. It could not be found.

nodeps:

-set-mode-check:

-set-release-mode:

-release-obfuscation-check:
     [echo] proguard.config is ${proguard.config}

-pre-build:

-check-env:
 [checkenv] Android SDK Tools Revision 23.0.0
 [checkenv] Installed at C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23

-setup:
     [echo] Project Name: downloader_library
  [gettype] Project Type: Android Library

-build-setup:
[getbuildtools] Using latest Build Tools: 20.0.0
     [echo] Resolving Build Target for downloader_library...
[gettarget] Project Target:   Android 4.4.2
[gettarget] API level:        19
     [echo] ----------
     [echo] Creating output directories if needed...
     [echo] ----------
     [echo] Resolving Dependencies for downloader_library...
[dependency] Library dependencies:
[dependency] 
[dependency] ------------------
[dependency] Ordered libraries:
[dependency] 
[dependency] ------------------

-code-gen:
[mergemanifest] Found Deleted Target File
[mergemanifest] Merging AndroidManifest files into one.
[mergemanifest] Manifest merger disabled. Using project manifest only.
     [echo] Handling aidl files...
     [aidl] No AIDL files to compile.
     [echo] ----------
     [echo] Handling RenderScript files...
     [echo] ----------
     [echo] Handling Resources...
     [aapt] Found Deleted Target File
     [aapt] Generating resource IDs...
     [echo] ----------
     [echo] Handling BuildConfig class...
[buildconfig] No need to generate new BuildConfig.

-pre-compile:

-compile:
    [javac] Compiling 1 source file to C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_apk_expansion\downloader_library\bin\classes
    [javac] warning: [options] source value 1.5 is obsolete and will be removed in a future release
    [javac] warning: [options] target value 1.5 is obsolete and will be removed in a future release
    [javac] warning: [options] To suppress warnings about obsolete options, use -Xlint:-options.
    [javac] 3 warnings
     [echo] Creating library output jar file...

-post-compile:

-obfuscate:

-dex:
     [echo] Library project: do not convert bytecode...

-crunch:
   [crunch] Crunching PNG Files in source dir: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_apk_expansion\downloader_library\res
   [crunch] To destination dir: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_apk_expansion\downloader_library\bin\res
   [crunch] Crunched 0 PNG files to update cache

-package-resources:
     [echo] Library project: do not package resources...

-package:
     [echo] Library project: do not package apk...

-post-package:

-release-prompt-for-password:

-release-nosign:
     [echo] 
[propertyfile] Updating property file: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_apk_expansion\downloader_library\bin\build.prop
[propertyfile] Updating property file: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_apk_expansion\downloader_library\bin\build.prop
[propertyfile] Updating property file: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_apk_expansion\downloader_library\bin\build.prop
[propertyfile] Updating property file: C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\extras\google\play_apk_expansion\downloader_library\bin\build.prop

-release-sign:

-post-build:

release:

-code-gen:
[mergemanifest] Found Deleted Target File
[mergemanifest] Merging AndroidManifest files into one.
[mergemanifest] Manifest merger disabled. Using project manifest only.
     [echo] Handling aidl files...
     [aidl] Found 1 AIDL files.
     [aidl] Compiling 1 AIDL files.
     [echo] ----------
     [echo] Handling RenderScript files...
     [echo] ----------
     [echo] Handling Resources...
     [aapt] Found Deleted Target File
     [aapt] Generating resource IDs...
     [echo] ----------
     [echo] Handling BuildConfig class...
[buildconfig] BuildConfig class missing: Generating new BuildConfig class.

-pre-compile:

-compile:
    [javac] Compiling 41 source files to C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\bin\classes
    [javac] warning: [options] source value 1.5 is obsolete and will be removed in a future release
    [javac] warning: [options] target value 1.5 is obsolete and will be removed in a future release
    [javac] warning: [options] To suppress warnings about obsolete options, use -Xlint:-options.
    [javac] C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\gen\com\jim\try\BuildConfig.java:2: error: <identifier> expected
    [javac] package com.jim.try;
    [javac]                    ^
    [javac] C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\gen\com\jim\try\R.java:8: error: <identifier> expected
    [javac] package com.jim.try;
    [javac]                    ^
    [javac] C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\gen\com\try\BuildConfig.java:2: error: <identifier> expected
    [javac] package com.try;
    [javac]             ^
    [javac] C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\gen\com\try\R.java:8: error: <identifier> expected
    [javac] package com.try;
    [javac]             ^
    [javac] 4 errors
    [javac] 3 warnings

BUILD FAILED
C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\tools\ant\build.xml:720: The following error occurred while executing this line:
C:\Users\Jim\Desktop\RenPy\renpy-6.99.0-sdk\rapt\android-sdk-r23\tools\ant\build.xml:734: Compile failed; see the compiler error output for details.

Total time: 2 seconds




The build seems to have failed.

Tarentaal
Newbie
Posts: 6
Joined: Wed Apr 08, 2015 12:26 pm
Contact:

Re: Error with Android Package Building

#4 Post by Tarentaal » Thu Apr 09, 2015 7:12 am

I have found the problem! It seems Ren'Py detected my one project named Try even when I deleted it, and there was still an error with every other project because of it. And all I had to do was to delete a folder in renpy-6.99.0-sdk\rapt\gen\ that remained there for some reason and the problem was fixed! :shock:

Post Reply

Who is online

Users browsing this forum: felsenstern, Majestic-12 [Bot]